%if 0%{?el7}
%define dist .el7
%endif

Name:		perl-Tie-Cache
Version:	0.21
Release:	5%{?dist}
Summary:	LRU Cache in Memory

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/~chamas/Tie-Cache-0.19/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CH/CHAMAS/Tie-Cache-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
This module implements a least recently used (LRU) cache in memory through a tie interface.
Any time data is stored in the tied hash, that key/value pair has an entry time associated
with it, and as the cache fills up, those members of the cache that are the oldest are
removed to make room for new entries.

%prep
%setup -q -n Tie-Cache-%{version}


%build
%{__perl} Makefile.PL installdirs=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

find $RPM_BUILD_ROOT -name .packlist | xargs rm -rf
find $RPM_BUILD_ROOT -name perllocal.pod | xargs rm -rf

%check
make test

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/Tie/Cache.pm
%{perl_vendorlib}/Tie/tie-cache-bench.pl
%{_mandir}/man3/*


%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.21-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.21-4
- Rebuilt for fc23

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 0.21-3
- Rebuilt for fc22
- Update to 0.21

* Fri Mar  8 2013 momo-i <webmaster@momo-i.org> 0.19-1
- Initial rpm release.
